### execution::blocking_t::possibly_t

A sub-property that indicates that invocation of an executor's execution function may block pending completion of one or more invocations of the submitted function object.

    struct possibly_t

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
possibly_t [constructor] | Default constructor.
value [static] | Get the value associated with a property object.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The blocking_t::possibly_t property applies to executors.
is_preferable [static] | The blocking_t::possibly_t property can be preferred.
is_requirable [static] | The blocking_t::possibly_t property can be required.

##### Requirements

Header: `asio/execution/blocking.hpp`

Convenience header: `asio/execution.hpp`